import request from '../../utils/request'

// 分页查看素材列表
export function getMediaResourceLibraries(data) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceLibrary/getPage`,
    method: 'post',
    data
  })
}

// 新增或者更改素材库
export function addOrUpdateMediaResourceLibrary(data) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceLibrary/addOrUpdateMediaResourceLibrary`,
    method: 'post',
    data
  })
}

// 批量新增素材库
export function batchAddMediaResourceLibrary(data) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceLibrary/batchAddMediaResourceLibrary`,
    method: 'post',
    data
  })
}

// 更改素材分组
export function updateMediaResourceGroup(data) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceLibrary/updateMediaResourceGroup`,
    method: 'post',
    data
  })
}

// 批量更改素材分组
export function batchUpdateMediaResourceLibrary(data) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceLibrary/batchUpdateMediaResourceLibrary`,
    method: 'post',
    data
  })
}
