import axios from 'axios'
import Cookies from 'js-cookie'
import index from "../index.js"

// create an axios instance
const service = axios.create({
  // baseURL: "http://120.27.210.239:8081/kukaCareManager_server_web/mvc", // api的base_url
  timeout: 500000 // request timeout
})

// request interceptor
service.interceptors.request.use(
  config => {
    // debugger
    // Do something before request is sent
    console.log(index.$mayiBusinessComponent,55555666666666)
    if (index.$mayiBusinessComponent&&index.$mayiBusinessComponent.tokenKey) {
      config.headers['Mayi-Token'] = Cookies.get(index.$mayiBusinessComponent.tokenKey)
    }
    return config
  },
  error => {
    // Do something with request error
    console.log(error) // for debug
    // Promise.reject(error)
  }
)
service.interceptors.response.use(
  /**
   * 下面的注释为通过在response里，自定义code来标示请求状态
   * 当code返回如下情况则说明权限有问题，登出并返回到登录页
   * 如想通过xmlhttprequest来状态码标识 逻辑可写在下面error中
   * 以下代码均为样例，请结合自生需求加以修改，若不需要，则可删除
   */
  response => {
    const res = response.data
    res.ok = res.ok === 'false' || !res.ok ? false : true
      return response
  },
  error => {
    return Promise.reject(error)
  }
)
export default service

