import request from '../../utils/request'

// 查看素材分组列表
export function getListMediaResourceGroups() {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceGroup/getList`,
    method: 'get'
  })
}

// 分页查看素材分组
export function getPageMediaResourceGroups(data) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceGroup/getPage`,
    method: 'post',
    data
  })
}

// 新增或者更改素材分组
export function addOrUpdateMediaResourceGroups(data) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceGroup/addOrUpdateMediaResourceGroups`,
    method: 'post',
    data
  })
}

// 删除素材分组
export function deleteMediaResourceGroupsById(id) {
  return request({
    url: `${window.location.origin}/innerApi/baseService/mediaResourceGroup/deleteMediaResourceGroupsById`,
    method: 'post',
    params: { id }
  })
}
