
import test from "./test/index";
import Cookies from 'js-cookie'
import MediaPicker from "./MediaPicker/index";

const components = [
    test,
    MediaPicker,
];
const $mayiBusinessComponent = {};
//注册组件
const install = function(Vue, opts = {}) {
  $mayiBusinessComponent.tokenKey = opts.tokenKey;
  components.map(component => {
    Vue.component(component.name, component);
  });
};
/* 支持使用标签的方式引入 */
if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default {
  install,
  test,
  $mayiBusinessComponent,
  MediaPicker,
};
